textures/dw/dwsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 0.5 95 45 95
	q3map_surfacelight 88

	qer_editorimage textures/dw/dwsky1.tga

	skyparms - 512 -
	{
		map textures/dw/dwsky1.tga
		tcMod scale 3 2
		tcMod scroll 0.05 0.05
		depthWrite
	}
	{
		map textures/dw/dwsky2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.015 0.015
	}
}





textures/dw/redbeam2
{
    cull disable
	qer_lightimage textures/dw/redbeam2.tga
	qer_editorimage textures/dw/redbeam2.tga
	q3map_surfacelight 25
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map textures/dw/redbeam2.tga
		blendFunc Add
		rgbGen identity
	}
}

textures/dw/bluesupport
{
	//deformVertexes wave 100 sin 3 2 .1 3
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/dw/bluesupport.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/dw/bluesupport.tga
		//blendFunc GL_ONE GL_ONE
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dw/bluebounce
{

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/dw/bluebounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/dw/bluerailpad
{
	q3map_lightimage textures/gothic_floor/pent_glow.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dw/bluerailpad.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_floor/pent_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/dw/bluebeam2
{
	qer_editorimage textures/dw/bluebeam.tga
    cull disable
	qer_lightimage textures/dw/bluebeam.tga
	q3map_surfacelight 25
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map textures/dw/bluebeam.tga
		blendFunc Add
		rgbGen identity
	}


}

textures/dw/1klight
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 550
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/dw/dwlight1k
{
	qer_editorimage textures/dw/border7_ceil39.tga
	q3map_surfacelight 550
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dw/border7_ceil39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dw/border_ceil39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dw/dwlight2k
{
	qer_editorimage textures/dw/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 750
	{
		map textures/dw/light5.tga
		rgbGen identity
	}

}


textures/dw/spiderweb
{ 
	qer_editorimage textures/dw/spiderweb.tga
	surfaceparm trans 
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	sort underwater // hack to fix sort-order problems
	// associated with non-opaque
	// order-dependant blended surfaces
	cull none

	{
		map textures/dw/spiderweb.tga
		blendFunc blend // smooth alphargbGen vertex
	}
}

textures/dw/redcrosslt_2000
{
	qer_editorimage textures/dw/ironcrossltred.tga
	q3map_lightimage textures/dw/ironcrossltred.blend.tga
	q3map_surfacelight 2000
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dw/ironcrossltred.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dw/ironcrossltred.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dw/bluecrosslt_2000
{
	qer_editorimage textures/dw/ironcrossltblue.tga
	q3map_lightimage textures/dw/ironcrossltblue.blend.tga
	q3map_surfacelight 2000
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dw/ironcrossltblue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/dw/ironcrossltblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dw/blueblockjump
{
	qer_editorimage textures/sfx/spawn_floor.tga
	q3map_lightimage textures/dw/icelayerlight.tga
        q3map_surfacelight 100
        {
		map textures/dw/icelayer.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
                blendFunc blend
                tcmod rotate 130
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/sfx/spawn_floor.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
